Subject: bug#58992: 28.2; "lax space matching" no longer works

From: Eli Zaretskii <[email-masked]>
Date: Thu, 03 Nov 2022 20:39:51 +0200

> Date: Thu, 3 Nov 2022 19:28:09 +0100
> From: Vincent Lefevre <[email-masked]>
> Cc: Eli Zaretskii <[email-masked]>, [email-masked]
> 
> This is still buggy in Emacs 28.2 if I change the value:

It isn't a bug.

> search-whitespace-regexp is a variable defined in ‘isearch.el’.
> 
> Its value is "\\s-+"
> Original value was "[ 	]+"
> 
> This works in Fundamental mode, but not in Lisp mode.

Because the meaning of \\s is different.  That's why we changed the
default value not to use \\s.

> BTW, I don't understand what "\\s-+" means. I thought it was a
> whitespace followed by a minus character repeated at least once.

No, it means a sequence of 1 or more characters whose syntax is '-'.
See the documentation of regular expressions in the manual.